<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>OpticlimOnline</title>
    <meta name="description" content="STD">
    <link rel="icon" href="../static/image/favicon.ico" />
    <link rel="stylesheet" href="../static/css/formulaire.css">
    <link rel="stylesheet" href="../static/libs/bootstrap.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato:300,400,700,300italic,400italic,700italic">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lora">
    <link rel="stylesheet" href="../static/fonts/fontawesome-all.min.css">
    <link rel="stylesheet" href="../static/fonts/simple-line-icons.min.css">
    <link rel="stylesheet" href="../static/css/Collapsible-Sidebar.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.5.2/animate.min.css">

    <!--leafletlib-->
    <link rel="stylesheet" href="../static/leaflet/leaflet.css"/>
    <script src="../static/leaflet/leaflet.js"></script>
</head>

<body><div class="wrapper">

    <!-- Sidebar Holder -->
    <nav id="sidebar">
        <div class="sidebar-header">
            <h3>Opticlim Online</h3>
        </div>

        <ul class="list-unstyled components">

            <li>
                <a><label  name="block" for="meteo">Fichier météo</label></a>
            </li>
            <li>
                <a><label name="block" for="geo">Géométrie de la zone</label></a>
            </li>
            <li>
                <a><label name="block" for="carac">Caractéristiques</label></a>
            </li>
        </ul>

        <ul class="list-unstyled CTAs">
            <li>
                <button type="submit" class="btn btn-primary" form="formulaire" value="Submit" style="background: rgb(18,161,220);">Lancer la simulation</button>
            </li>
        </ul>

        <ul class="list-unstyled components">
            <li>
                <a href="/userpage">Page Utilisateur</a>
                <p><small>Connecté comme : {{ email }}</small></p>
                <a class="nav-item nav-link" href="/signout">Logout</a>
            </li>
        </ul>


    </nav>

    <form action="/resultat" method="post" id="formulaire">
        <div id="content">

            <nav class="navbar navbar-expand-lg navbar-light bg-dark">
                <div class="container" style="margin: 0; justify-content: unsafe left;">

                    <button type="button" id="sidebarCollapse" class="navbar-btn">
                        <span></span>
                        <span></span>
                        <span></span>
                    </button>

                    <div class="nomexperience">
                        <input type="text" id="name" name="nomexperience" placeholder="Titre de l'experience">
                    </div>
                </div>
            </nav>

            <!-- Page Content Holder -->
            <div id="app">


          <div class="myTabs">
            <input type="radio" id="meteo" name="myTabs" checked="checked">
            <label  name="block" for="meteo"></label>
            <div class="tab">
                <h2>Sélectionnez un fichier météo</h2>
                <div>
                    <select class="form-control" name="meteos" id="meteos">
                        <option value="">-- Sélectionnez un fichier --</option>
                        <option value="REUNION-Saint-Denis.epw">St Denis</option>
                        <option value="REUNION-Saint-Pierre.epw">St Pierre</option>
                        <option value="REUNION-Ravine-Blanche.epw">Ravine Blanche</option>
                        <option value="REUNION-Tampon.epw">Le Tampon</option>
                        <option value="REUNION-IUT.epw">IUT</option>
                        
                    </select>

                </div>
                <div id="map" style="height: 600px;"></div>

            </div>

            <input type="radio" id="geo" name="myTabs">
            <label name="block" for="geo"></label>
            <div class="tab">
                <div class="geometrie">
                    <h2>Géométrie de la zone</h2>
                    <p class="requis">Champs requis *</p>
                    <div>
                        <label for="longueur">Longueur de la zone (m) <span class="requis">* </span>: </label>
                        <input type="number" id="longueur" name="long" min="1" required>                      
                    </div>
                    <div>
                        <label for="largeur">Largeur de la zone (m) <span class="requis">* </span>: </label>
                        <input type="number" id="largeur" name="larg" min="1" required>
                    </div>
                    <div>
                        <label for="hauteur">Hauteur de la zone (m) <span class="requis">* </span>: </label>
                        <input type="number" id="hauteur" name="haut" min="1" required>
                    </div>  

                    <h2>Définition des parois</h2>

                    <div class="parois">
                        <table>
                            <tr>
                                <td>

                                </td>
                                <td>
                                    Pourcentage d'ouvrant
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Paroi Sud
                                </td>
                                <td>
                                    <input type="number" id="pop1" min="0" max="99" name="par1" value="0">  
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Paroi Nord
                                </td>
                                <td>
                                    <input type="number" id="pop2" min="0" max="99" name="par2" value="0">  
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Paroi Est
                                </td>
                                <td>
                                    <input type="number" id="pop3" min="0" max="99" name="par3" value="0">  
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Paroi Ouest
                                </td>
                                <td>
                                    <input type="number" id="pop4" min="0" max="99" name="par4" value="0">  
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>

            <input type="radio" id="carac" name="myTabs">
            <label name="block" for="carac"></label>
            <div class="tab">
                <div class="info">
                    <h2>Constitution des murs extérieurs</h2>
                    <div class="mursDesc">
                        <div>
                            <input  type="radio" id="op1" name="murs" value="betonB" checked>
                            <label for="op1">Béton banché</label>
                        </div>
                        <div>
                            <input  type="radio" id="op2" name="murs" value="blocAAC">
                            <label for="op2">Parpaing creux</label>
                        </div>
                        <div>
                            <input  type="radio" id="op3" name="murs" value="BBSP">
                            <label for="op3">Bardage bois simple peau</label>
                        </div>
                        <div>
                            <input  type="radio" id="op4" name="murs" value="BBDP">
                            <label for="op4">Bardage bois double peau</label>
                        </div>
                    </div>

                    <h2>Constitution du toit</h2>
                    <div class="toit">
                        <div>
                            <input  type="radio" id="t1" name="toiture"  value="toitTerr" checked>
                            <label for="t1">Toiture terrasse</label>
                        </div>

                        <div>
                            <input  type="radio" id="t2" name="toiture" value="toitTole">
                            <label for="t2">Toiture tôle</label>
                        </div>
                    </div>
                </div>
            </div>

            <input type="radio" id="calc" name="myTabs">
            <label name="block" for="calc"></label>
            <div class="tab">
                <div class="info">
                    <h2>Nom de l'experience</h2>
                    <div class="nomexperience">
                        <input type="text" id="name" name="nomexperience" placeholder="Titre de l'experience">
                    </div>
                </div>
            </div>

        </div>



    </div>
</form>

</div>
</div>
<script src="../static/libs/bootstrap.min.js"></script>
<script src="../static/libs/bs-init.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js"></script>
<script src="https://use.fontawesome.com/releases/v5.0.13/js/fontawesome.js"></script>
<script src="../static/script/Collapsible-Sidebar.js"></script>
</body>

<script type="text/javascript" src="../static/script/leaflet.js"></script>
</html>
